@import "./../../../../../static/css/variables";

$height-container-header: 52.8px;

.container-panel.favoritos-section {
  min-height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - .75rem);
  max-height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - .75rem);
  height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - .75rem);

  .container-header {
    h1 {
      padding: 1rem .5rem .25rem;
      text-align: center;
      font-size: 1.5rem;
      color: #303030;
      text-transform: uppercase;
    }
    .cotainer-header-actions {
      width: 100%;
      display: flex;
      justify-content: space-between;
      padding: 0 .5rem;
      .actions-left {
        display: flex;
        justify-content: space-between;
      }
    }
  }
  .container-body {
    height: calc(100% - $height-container-header - 34px);
    padding: .25rem 2rem .5rem;
    .favorito-card {
      padding: 0;
      height: 100%;
      .favorito-card-header {
        padding: .25rem 1rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        span {
          line-height: 1;
          &.title {
            font-size: 1.1rem;
            font-weight: 500;
            text-transform: uppercase;
          }
          &.subtitle {
            
          }
        }
      }
      .favorito-card-body {
        height: calc(100% - 54px);
        padding: 0 1rem 1rem;
        display: flex;
        flex-direction: column;
        input {
          padding: 0.25rem 1rem 0;
          margin-bottom: .75rem;
          border-bottom-style: ridge;
          border-bottom-color: currentColor;
          border-bottom-width: thin;
        }
        .favorito-list {
          overflow-y: auto;
          overflow-x: hidden;
          height: calc(100% - 56px);
          max-height: calc(100% - 56px);
          padding: 1rem;
          box-shadow: rgb(0 0 0 / 24%) 0px 1px 8px;
          display: flex;
          flex-direction: column;
          &.favorito-list-empty {
            box-shadow: none;
            span {
              &.title {
                text-align: center;
              }
            }
          }
          .favorito-item {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin: 0;
            width: 100%;
            border-bottom: 1px solid lightgray;
            transition: background-color .25s ease-in-out;
            &:hover {
              background-color: #ecebeb;
            }
            &:last-child {
              border-bottom: none;
            }
            span {
              &.title {
                padding: 0 .5rem;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                line-height: 1;
              }
            }
            .favorito-actions {
              padding: .25rem;
              button {
                margin: 0 .25rem;
                padding: 1px 7px;
              }
            }
          }
        }
      }
    }
  }
}

.modal-search-favorite {
  .modal-header {
    background-color: $color-grey-dark;
    color: $color-yellow-light;
    text-transform: uppercase;
    text-align: center;
    .modal-title {

    }
    button {

    }
  }
  .modal-body {
    padding: 1rem;
    max-height: 70vh;
    height: 70vh;
    input {
      padding: 0.25rem 1rem .75rem;
      &.input-search-favorito {
        padding: 0.25rem 1rem 0;
        border-bottom-style: ridge;
        border-bottom-color: currentColor;
        border-bottom-width: thin;
        width: 48%;
        margin: 0 auto 0.7rem;
        text-align: center;
      }
    }
    .search-favorite-content {
      height: calc(100% - 42px - 1rem);
      max-height: calc(100% - 42px - 1rem);
      overflow-y: auto;
      .table-search-favorito {
        padding: .5rem 1rem;
        width: 100%;
        .thead-dark {
          tr {
            th {
              font-weight: 500 !important;
              &.nome-col {
                width: 300px;
                max-width: 300px;
              }
              &.action-col {
                min-width: 110px;
              }
            }
          }
        }
        tbody {
          tr {
            td {
              &.nome-col {
                width: 300px;
                max-width: 300px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
              }
              &.action-col {
                min-width: 110px;
                label {
                  margin-right: .25rem;
                }
              }
            }
          }
        }

      }
    }
  }
  .modal-footer {

  }
}




@media (max-width:992px) {
  .container-panel.favoritos-section {
    .container-body {
      overflow-y: auto;
    }
  }
}
